package com.kgraph.graph.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.kgraph.common.annotation.Excel;
import com.kgraph.common.core.domain.BaseEntity;

/**
 * 子任务管理对象 biz_subtask
 * 
 * @author Allen
 * @date 2023-10-16
 */
public class Subtask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 源文件id */
    @Excel(name = "源文件id")
    private String subtaskName;

    /** 子任务名称 */
    @Excel(name = "子任务名称")
    private String subtaskType;

    /** 子任务状态 */
    @Excel(name = "子任务状态")
    private String taskStatus;

    /** 处理文件名称 */
    @Excel(name = "处理文件名称")
    private String sourceFileName;

    /** 处理文件路径 */
    @Excel(name = "处理文件路径")
    private String sourceFilePath;

    /** 结果文件名称h */
    @Excel(name = "结果文件名称h")
    private String resultFileName;

    /** 结果文件路径 */
    @Excel(name = "结果文件路径")
    private String resultFilePath;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 耗时 */
    @Excel(name = "耗时")
    private Long costTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setSubtaskName(String subtaskName) 
    {
        this.subtaskName = subtaskName;
    }

    public String getSubtaskName() 
    {
        return subtaskName;
    }
    public void setSubtaskType(String subtaskType) 
    {
        this.subtaskType = subtaskType;
    }

    public String getSubtaskType() 
    {
        return subtaskType;
    }
    public void setTaskStatus(String taskStatus) 
    {
        this.taskStatus = taskStatus;
    }

    public String getTaskStatus() 
    {
        return taskStatus;
    }
    public void setSourceFileName(String sourceFileName) 
    {
        this.sourceFileName = sourceFileName;
    }

    public String getSourceFileName() 
    {
        return sourceFileName;
    }
    public void setSourceFilePath(String sourceFilePath) 
    {
        this.sourceFilePath = sourceFilePath;
    }

    public String getSourceFilePath() 
    {
        return sourceFilePath;
    }
    public void setResultFileName(String resultFileName) 
    {
        this.resultFileName = resultFileName;
    }

    public String getResultFileName() 
    {
        return resultFileName;
    }
    public void setResultFilePath(String resultFilePath) 
    {
        this.resultFilePath = resultFilePath;
    }

    public String getResultFilePath() 
    {
        return resultFilePath;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setCostTime(Long costTime) 
    {
        this.costTime = costTime;
    }

    public Long getCostTime() 
    {
        return costTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("subtaskName", getSubtaskName())
            .append("subtaskType", getSubtaskType())
            .append("taskStatus", getTaskStatus())
            .append("sourceFileName", getSourceFileName())
            .append("sourceFilePath", getSourceFilePath())
            .append("resultFileName", getResultFileName())
            .append("resultFilePath", getResultFilePath())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("costTime", getCostTime())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
